function ChangeTimerStatus(timerID, timerState) {
    $.ajax
    ({
        type: 'POST',
        async: true,
        url: 'Timer/ChangeTimerStatus',
        data:
            ({
                TimerID: timerID,
                State: timerState
            })
    });
}

// Timer hinzufügen.
function ADDUnit() {
    var dialog = BootstrapDialog.confirm({
        title: '<b>Eine neuen Timer anlegen</b>',
        // Der Inhalt wird hier aus einer Partial geladen!
        message: $('<div></div>').load('partial/AddTimer'),
        type: BootstrapDialog.TYPE_DEFAULT,
        btnCancelLabel: 'Abbrechen',
        btnOKLabel: 'Speichern',
        btnOKClass: 'btn-primary',
        callback: function (result) {
            if (result) {
                $.ajax({
                    type: 'POST',
                    async: false,
                    url: 'Timer/ADDTimer',
                    data:
                        ({
                            Name: $('#edittimer_name').val(),
                            On: $('#edittimer_on').val(),
                            Off: $('#edittimer_off').val(),
                            Days: $('#edittimer_days').val().toString(),
                            SelectedUnits: $('#edittimer_units').val().toString()
                        })
                });
                // Die Seite neuladen um die Unit zu sehen.
                location.reload();
            }
        }
    });
}


function EditTimer(timerID) {
    var dialog = BootstrapDialog.confirm({
        title: '<b>Timer bearbeiten</b>',
        // Der Inhalt wird hier aus einer Partial geladen!
        message: $('<div></div>').load('partial/EditTimer?TimerID=' + timerID),
        type: BootstrapDialog.TYPE_DEFAULT,
        btnCancelLabel: 'Abbrechen',
        btnOKLabel: 'Speichern',
        btnOKClass: 'btn-primary',
        callback: function (result) {
            if (result) {
                $.ajax({
                    type: 'POST',
                    async: false,
                    url: 'Timer/EditTimer',
                    data:
                        ({
                            ID: $('#edittimer_id').val(),
                            Name: $('#edittimer_name').val(),
                            On: $('#edittimer_on').val(),
                            Off: $('#edittimer_off').val(),
                            Days: $('#edittimer_days').val().toString(),
                            SelectedUnits: $('#edittimer_units').val().toString()
                        })
                });
                location.reload();
            }
        }
    });
}

function DeleteTimer(timerID, timerName) {
    BootstrapDialog.confirm({
        title: '<b>Timer löschen ?!</b>',
        message: 'Willst Du wirklich den Timer <b>' + timerName + '</b> löschen?',
        type: BootstrapDialog.TYPE_WARNING,
        btnCancelLabel: 'Nein',
        btnOKLabel: 'Ja löschen!',
        btnOKClass: 'btn-warning',
        callback: function (result) {
            if (result) {
                $.ajax({
                    type: 'POST',
                    async: false,
                    url: 'Timer/DeleteTimer',
                    data:
                        ({
                            TimerID: timerID
                        })
                });
                // Die Seite neuladen
                location.reload();
            }
        }
    });
}
